#!/usr/bin/perl

@targets =qw(
AnnoyingKnock1.wav
AnnoyingKnock2.wav
AppleOfEnlightenment.wav
Arcade.wav
Battle01.wav
Battle02.wav
Battle03.wav
Battle04.wav
Battle05.wav
Battle06.wav
Battle07.wav
Battle08.wav
Battle09.wav
Battle10.wav
Bicycle.wav
BossIntro.wav
BrickRoad.wav
Bus.wav
Cave1.wav
Cave2.wav
Cave3.wav
CaveOfThePast.wav
ChaosTheater.wav
CoffeeBreak.wav
Dalaam.wav
DalaamIntro.wav
DeepDarkness.wav
Defeated.wav
Delivery.wav
DrAndonuts.wav
DrugStore.wav
DungeonMan.wav
DustyDunesDesert.wav
EightMelodies.wav
Ending1.wav
Ending2.wav
Ending3.wav
FileSelect.wav
FireSpring.wav
FlyingMan.wav
Fourside.wav
Giygas1.wav
Giygas2.wav
Giygas3.wav
Giygas4.wav
Giygas5.wav
GiygasDeath.wav
GiygasIntro.wav
GiygasPath.wav
GiygasStatic.wav
GrapefruitFalls.wav
HappyHappy.wav
HiddenTrack.wav
Home.wav
Hospital.wav
Hotel1.wav
Hotel2.wav
Hotel3.wav
Hotel4.wav
HotelScaraba.wav
House1.wav
House2.wav
House3.wav
Intro1.wav
Intro2.wav
IntroDemo.wav
IntroTitle.wav
JackiesCafe.wav
LevelUp.wav
LostUnderworld.wav
Magicant1.wav
Magicant2.wav
MagicantDepart.wav
MagicantEnter.wav
MagicCake.wav
MasterBelchBase.wav
MonkeyCave.wav
Moonside.wav
Mu.wav
NewGame.wav
Night.wav
Onett1.wav
Onett2.wav
OnettBuzz1.wav
OnettBuzz2.wav
OnettBuzz3.wav
OnettNight1.wav
OnettNight2.wav
OnettNight3.wav
Paula.wav
PeacefulRest.wav
Photographer.wav
PinkCloud.wav
Pokey.wav
PokeyIntro.wav
PokeysHouse.wav
PokeysHouseBuzz.wav
PowerUp.wav
Pray.wav
Pyramid.wav
Return1.wav
Return2.wav
RideSub.wav
RideUFO.wav
Robots.wav
Runaway5Bus1.wav
Runaway5Bus2.wav
Runaway5Bus3.wav
Runaway5Song1.wav
Runaway5Song2.wav
Sailing1.wav
Sailing2.wav
SaturnValley.wav
SaturnValley2.wav
Scaraba.wav
ScarabaDesert.wav
SeaOfEden.wav
SnowWood.wav
SnowWood2.wav
SoundStone.wav
SoundStone2.wav
Summers.wav
TendaVillage.wav
Tent.wav
Tessie1.wav
Tessie2.wav
Threed.wav
Topolla.wav
Twoson.wav
Venus.wav
Win1.wav
Win2.wav
Winters.wav
YourSanctuary1.wav
YourSanctuary2.wav
Zombies.wavAA.spc);

@sources = qw(
AB.spc
AC.spc
AD.spc
AE.spc
AF.spc
AG.spc
AH.spc
AI.spc
AJ.spc
AK.spc
AL.spc
AM.spc
AN.spc
AO.spc
AP.spc
AQ.spc
AR.spc
AS.spc
AT.spc
AU.spc
AV.spc
AW.spc
AX.spc
AY.spc
AZ.spc
BA.spc
BB.spc
BC.spc
BD.spc
BE.spc
BF.spc
BG.spc
BH.spc
BI.spc
BJ.spc
BK.spc
BL.spc
BM.spc
BN.spc
BO.spc
BP.spc
BQ.spc
BR.spc
BS.spc
BT.spc
BU.spc
BV.spc
BW.spc
BX.spc
BY.spc
BZ.spc
CA.spc
CB.spc
CC.spc
CD.spc
CE.spc
CF.spc
CG.spc
CH.spc
CI.spc
CJ.spc
CK.spc
CL.spc
CM.spc
CN.spc
CO.spc
CP.spc
CQ.spc
CR.spc
CS.spc
CT.spc
CU.spc
CV.spc
CW.spc
CX.spc
CY.spc
CZ.spc
DA.spc
DB.spc
DC.spc
DD.spc
DE.spc
DF.spc
DG.spc
DH.spc
DI.spc
DJ.spc
DK.spc
DL.spc
DM.spc
DN.spc
DO.spc
DP.spc
DQ.spc
DR.spc
DS.spc
DT.spc
DU.spc
DV.spc
DW.spc
DX.spc
DY.spc
DZ.spc
EA.spc
EB.spc
EC.spc
ED.spc
EE.spc
EF.spc
EG.spc
EH.spc
EI.spc
EJ.spc
EK.spc
EL.spc
EM.spc
EN.spc
EO.spc
EP.spc
EQ.spc
ER.spc
ES.spc
ET.spc
EU.spc
EV.spc
EW.spc
EX.spc
EY.spc
EZ.spc
FA.spc
FB.spc
FC.spc
FD.spc
FE.spc
FF.spc);


for (0..$#targets){

  $command =  "./build/spc_convert -s 1" . " -i ./test-files/" . $source[$_] . 
    " -o ./output/" . $target[$_];
  print "$command\n";

}

